Bug 16216 - Circulation_Branch.t doesn't set itemtype for test data
Summary: Circulation_Branch.t doesn't set itemtype for test data
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Galen Charlton
URL:
Keywords:
Depends on:
Blocks: 14598
  Show dependency treegraph
 
Reported: 2016-04-06 15:43 UTC by Tomás Cohen Arazi
Modified: 2017-06-14 22:12 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16216: Circulation_Branch.t doesn't set itemtype for test data (9.16 KB, patch)
2016-04-06 15:46 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16216: Circulation_Branch.t doesn't set itemtype for test data (9.25 KB, patch)
2016-04-06 15:53 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 16216: Circulation_Branch.t doesn't set itemtype for test data (9.30 KB, patch)
2016-04-07 05:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-04-06 15:43:45 UTC
Bug 14598 introduces a warning for items without itemtypes. This makes Circulation_Branch.t raise warnings.

To reproduce:
- Run
  $ prove t/db_dependent/Circulation_Branch.t
=> FAIL: Warnings raised
Comment 1 Tomás Cohen Arazi 2016-04-06 15:46:34 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-04-06 15:53:46 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-04-07 05:41:17 UTC
Created attachment 50009 [details] [review]
[PASSED QA] Bug 16216: Circulation_Branch.t doesn't set itemtype for test data

This patch makes the tests create better data for them:
- Run
  $ prove t/db_dependent/Circulation_Branch.t
=> FAIL: Warnings raised
- Apply the patch
- Run
  $ prove t/db_dependent/Circulation_Branch.t
=> SUCCESS: No warnings raised
- Sign off

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Test pass successful

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-04-22 23:04:42 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!  (more tests I love it)
Comment 5 Julian Maurice 2016-05-16 11:10:28 UTC
Why is this pushed if it depends on bug 14598 (which is Signed Off) ?
Comment 6 Julian Maurice 2016-06-09 08:03:06 UTC
Patch pushed to 3.22.x, will be in 3.22.8